const express = require('express');
const router = express.Router();
const guard = require('../helpers/guard');
const controllers = require('../controllers/messages');
const validation = require('../validation/message');

router
	.get('/', guard, controllers.listMessages)
	.post('/', guard, validation.sentMessage, controllers.sentMessage);

router.get('/:companionId', guard, controllers.listMessagesById);

module.exports = router;
